Unable to run PolSAR 6.0

I’ve just installed PolSARpro 6.0 (Windows x64) and the recommended additional software (Tcl/Tk, Gimp, ImageMagick and SNAP). As I try to open PolSARpro I get a window asking which program will it open with. I tried with Tcl and I just get an empty DOS windows which lasts for one second and then dissapears. I also tried to run PolSARpro from the executable file in the installation folder but still no results…

How can I run PolSARpro? Can anyone please help me?

Thanks so much,

Enrique

1 Like

TCL should be installed first
Have a look

Dear colleague,

Thank you so much for your help. I first installed Magicsplat Tcl; now I uninstalled that app and installed ActiveTcl instead. When trying to run PolSARpro Biomass I just get the warning message below:

"can’t read "Version: no such variable when executing
‘append PSPEnv $Version’
(procedure ‘InitPolSARproEnv’ line 25)
invoked from within
‘InitPolSARproEnv’
(procedure ‘init’ line 613)
invoked from within
‘init Sargc Sargv’
*(file C:\Program Files (x86)\PolSARpro_v6.0_Biomass_Edition*
PolSARpro_v6.0_Biomass_Edition.tcl line 15161)

I linked PolSARpro to wish but no way, the problem still remains and the software doesn’t run.

What can be happening?

Best regards,

Enrique

1 Like

I had the same problem (of course I hadn’t installed Magicsplat Tcl)
I just unistalled PolSAR pro
Installed ActiveTcl
And then reinstalled PolSAR pro

At the first run I guess I linked to tclsh.exe

I still have the mentioned problem using ActiveTcl or Magicsplat Tlc. Opening PolSARpro v.6 by these apps, a window of prompt commands instantly appear and disappear, but nothing else happens. Here is the error message

.

I am also facing the running time problem of PolSARpro 6.0 (Biomass Edition). I have installed all the softwares/app as mentioned in the read me first file. On first time opening the software, I am getting this message (screen shot).

did you follow this order?

It is good to first install tcl, then install PolSARpro (regardless of the operating system).

Yes. First I installed Active tcl and then installed PolSARPro 6.0. Still the same problem. What to do now?

Again I repeated it. This time I have installed ImageMagick-7.0.8-63-Q8-x64-dll.exe (Win64 dynamic at 8 (not 16 bit) bits-per-pixel component; as my system is 64 bit). and also installed ActiveTcl 8.5 (Earlier I have installed the latest version i.e. ActiveTcl 8.6). After all these installation, PolSARPro 6.0 was installed and now I am getting this error message while opening the PolSARPro 6.0 .